
import GRDB
import GRDBQuery
import Foundation
import SwiftUI

struct NaviBar: View {

    @Query(RibbonRequest(dir: .prev, groupId: 1)) private var backRibbon: [Ribbon]
    @Query(RibbonRequest(dir: .next, groupId: 1)) private var nextRibbon: [Ribbon]
    @Query(SelectedRibbonRequest()) private var selectedRibbon: [Ribbon]
    @Environment(\.appDatabase) private var appDatabase

    var body: some View {
        VStack {
            HStack {

                BackArrow()
                    .frame(width: CGFloat(30), height: CGFloat(30))
                    .background(Color(red: 0.1, green: 0.1, blue: 0.1))
                    .foregroundColor(Color(UIColor(red: 0.30, green: 0.30, blue: 0.30, alpha: 0.4)))
                    .onTapGesture {
                        // goToRibbon(selectedRibbon: sr[0],
                        //            destRibbon: ribbon,
                        //            appDatabase: appDatabase,
                        //            paneConnector: paneConnector,
                        //            refresh: $refresh,
                        //            loading: false)

                    }

                ForwardArrow()
                    .frame(width: CGFloat(30), height: CGFloat(30))
                    .background(Color(red: 0.1, green: 0.1, blue: 0.1))
                    .foregroundColor(Color(UIColor(red: 0.30, green: 0.30, blue: 0.30, alpha: 0.4)))
            }
            .cornerRadius(5)
        }
    }
}
